import turtle

turtle.addshape("pen.gif")
turtle.shape("pen.gif")
size = 3
turtle.pensize(size)
turtle.color("blue")
turtle.speed(0)

def jump(x, y):
    turtle.up()
    turtle.goto(x, y)
    turtle.down()

def press_o():
    turtle.color("orange")

def press_b():
    turtle.color("blue")

def press_e():
    turtle.color("white")

def press_up():
    global size
    size = size + 1
    turtle.pensize(size)

def press_down():
    global size
    size = size - 1
    if size > 0:
        turtle.pensize(size)

turtle.onkeypress(press_o, 'o')
turtle.onkeypress(press_b, 'b')
turtle.onkeypress(press_e, 'e')
turtle.onkeypress(press_up, 'Up')
turtle.onkeypress(press_down, 'Down')
turtle.ondrag(turtle.goto)
turtle.onscreenclick(jump)

turtle.listen()

turtle.done()
