import turtle
import random
import math

turtle.shape("circle")
turtle.addshape("box.gif")
turtle.setup(800, 800)

turtle.up()
turtle.speed(0)

def search(x, y):
    global treasure_x
    global treasure_y
    print("Search", x, y)
    distance = math.sqrt((x - treasure_x)**2 + (y - treasure_y)**2)
    if distance < 80:
        turtle.showturtle()
        print("You found the treasure in (", treasure_x, treasure_y,")!")

treasure_x = random.randint(-400, 400)
treasure_y = random.randint(-400, 400)
turtle.goto(treasure_x, treasure_y)
turtle.shape("box.gif")
turtle.hideturtle()
turtle.onscreenclick(search)

turtle.done()
