import turtle
import random
import math

turtle.shape("circle")
turtle.addshape("box.gif")
turtle.setup(800, 800, 0, 0)
turtle.setworldcoordinates(0, 0, 10, 10)

turtle.up()
turtle.speed(0)
turtle.goto(5,5)

def search(x, y):
    global treasure_x
    global treasure_y
    turtle.goto(x, y)
    print("Search", x, y)
    distance = math.sqrt((x - treasure_x)**2 + (y - treasure_y)**2)
    if distance < 1:
        turtle.shape("box.gif")
        print("You found the treasure in (", treasure_x, treasure_y,")!")

treasure_x = random.randint(0, 10)
treasure_y = random.randint(0, 10)

turtle.ondrag(search)

turtle.done()
